<!-- prettier-ignore-start -->
# Class PercentageDiscount

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.campaign.Discount](dw.campaign.Discount.md)
    - [dw.campaign.PercentageDiscount](dw.campaign.PercentageDiscount.md)

Represents a _percentage-off_ discount in the discount plan, for example
"10% off all T-Shirts".



## Property Summary

| Property | Description |
| --- | --- |
| [percentage](#percentage): [Number](TopLevel.Number.md) `(read-only)` | Returns the percentage discount value, for example 10.00 for a "10% off"  discount. |

## Constructor Summary

| Constructor | Description |
| --- | --- |
| [PercentageDiscount](#percentagediscountnumber)([Number](TopLevel.Number.md)) | Create a percentage-discount on the fly. |

## Method Summary

| Method | Description |
| --- | --- |
| [getPercentage](dw.campaign.PercentageDiscount.md#getpercentage)() | Returns the percentage discount value, for example 10.00 for a "10% off"  discount. |

### Methods inherited from class Discount

[getItemPromotionTiers](dw.campaign.Discount.md#getitempromotiontiers), [getPromotion](dw.campaign.Discount.md#getpromotion), [getPromotionTier](dw.campaign.Discount.md#getpromotiontier), [getQuantity](dw.campaign.Discount.md#getquantity), [getType](dw.campaign.Discount.md#gettype)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### percentage
- percentage: [Number](TopLevel.Number.md) `(read-only)`
  - : Returns the percentage discount value, for example 10.00 for a "10% off"
      discount.



---

## Constructor Details

### PercentageDiscount(Number)
- PercentageDiscount(percentage: [Number](TopLevel.Number.md))
  - : Create a percentage-discount on the fly. Can be used to create a custom price adjustment.

    **Parameters:**
    - percentage - percentage value, e.g. 15.00 for 15%


---

## Method Details

### getPercentage()
- getPercentage(): [Number](TopLevel.Number.md)
  - : Returns the percentage discount value, for example 10.00 for a "10% off"
      discount.


    **Returns:**
    - Discount percentage value


---

<!-- prettier-ignore-end -->
